/*
  Fade

  This example shows how to fade an LED on pin 9 using the analogWrite()
  function.

  The analogWrite() function uses PWM, so if you want to change the pin you're
  using, be sure to use another PWM capable pin. On most Arduino, the PWM pins
  are identified with a "~" sign, like ~3, ~5, ~6, ~9, ~10 and ~11.

  This example code is in the public domain.

  http://www.arduino.cc/en/Tutorial/Fade
*/

// This code was modified to add a led and a button
// Victor Levy fabacademy 2018 week 9

int led = 9;           // the PWM pin the LED is attached to
int LED=10;            // the PWM pin the LED is attached to
int brightness = 0;    // how bright the LED is
int BRIGHTNESS = 255;  // how bright the LED is
int fadeAmount = 5;    // how many points to fade the LED by


// the setup routine runs once when you press reset:
void setup() {
// declare pin 9 and 10 to be an output:
pinMode(led, OUTPUT);
pinMode(LED, OUTPUT); 
}

// the loop routine runs over and over again forever:
void loop() {
// set the brightness of pin 9 : brightness = 0
analogWrite(led, brightness);
 
// change the brightness for next time through the loop:
brightness = brightness + fadeAmount; // (ex 0+5+5...)

// reverse the direction of the fading at the ends of the fade:
if (brightness <= 0 || brightness >= 255) { //  borne entre 0 et 255 
fadeAmount = -fadeAmount;// changement de signe pour reduire (ex 255-5-5...)
}
// wait for 30 milliseconds to see the dimming effect
delay(30);

analogWrite(LED, BRIGHTNESS);
// set the brightness of pin 9 : BRIGHTNESS = 255


// change the brightness for next time through the loop:
BRIGHTNESS = BRIGHTNESS - fadeAmount; // (ex 255-5-5...) 

// reverse the direction of the fading at the ends of the fade:
if (BRIGHTNESS <= 0 || brightness >= 255) {
    fadeAmount = -fadeAmount; // (ex (0-(-5))-(-5)...
}
// wait for 30 milliseconds to see the dimming effect
delay(30);
  
}
